Get aggregations for an event

get

/sia/v1/event/id/{event_doc_id}/aggregations/{aggregation_attribute}

Returns a common list of aggregation buckets including: (a) terms buckets for entityType, and (b) a single CUSTOMER bucket with total impacted customers. For Planned/Simulated Parent events, entityType counts are deduplicated by impacted resource (cardinality), and customers are deduplicated by customerId (fallback to name).

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Aggregations retrieved successfully.
Body ()
Root Schema : AggregationsResponse
Type: object
Common list of aggregation buckets including entity types and a single customer bucket
Show Source
  • buckets
    Common list of aggregation buckets. Contains both entityType buckets and one CUSTOMER bucket for total customer count.
Nested Schema : buckets
Type: object
Common list of aggregation buckets. Contains both entityType buckets and one CUSTOMER bucket for total customer count.
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top